<template>

    <table class="table request-table">
        <thead>
        <tr>
            <th>data</th>
            <th>name/surname</th>
            <th>email address</th>
            <th>phone number</th>
            <th>company's name</th>
            <th>job title</th>
            <th>active/discard</th>
        </tr>
        </thead>
        <tbody>
        <tr v-for="user in users">
            <td>{{ user.user.created_at }}</td>
            <td>{{ user.user.name  }} {{ user.user.surname }}</td>
            <td>{{ user.user.email  }}</td>
            <td>{{ user.user.mobile_number }}</td>
            <td>{{ user.user.company_name }}</td>
            <td>{{ user.user.job_title }}</td>
            <td>
                <div class="request-table__btn">
                    <button @click="changeUserStatus(user.id, 1)"><i class="fa fa-check request-table__btn--success" aria-hidden="true"></i></button>
                    <button @click="changeUserStatus(user.id, 0)"><i class="fa fa-times request-table__btn--danger" aria-hidden="true"></i></button>
                </div>
            </td>
        </tr>
        </tbody>
    </table>

</template>

<script>
    import getData from '../mixins/getData'

    export default {
        name: 'UserRequest',
        props: {
            usersData: {
                require: true
            }
        },
        data() {
          return {
              users: this.usersData
          }
        },
        mixins: [getData],
        methods: {
            changeUserStatus: function (requestID, status) {
                this.asyncGetData({
                    method: 'POST',
                    url: 'admin/change/user/status',
                    data: {
                        status: status,
                        request_id: requestID
                    }
                }).then(response => {
                    if (response.status) {
                        this.users = response.data

                        // Success message
                        this.$message({
                            message: status ? 'User successfully activated' : 'User successfully discard',
                            type: 'success',
                            showClose: true
                        });
                    }
                })
            }
        }
    }
</script>